#
# spec file for package rubygem-actionpack-2_3 (Version 2.3.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygem-actionpack-2_3
Version:        2.3.2
Release:        4.4.1
%define mod_name actionpack
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
Requires:       rubygems >= 1.3.1
Provides:       rubygem-%{mod_name} = %{version}-%{release}
# Obsoletes:      rubygem-%{mod_name} < %{version}
BuildRequires:  rubygem-activesupport-2_3 = 2.3.2
Requires:       rubygem-activesupport-2_3 = 2.3.2
#
Url:            http://rubyforge.org/projects/actionpack
Source:         http://rubyforge.org/frs/download.php/53262/actionpack-2.3.2.gem
Source1:        rails-2.3.2_http_auth_digest_nil_check.patch
Source2:        bfe032858077bb2946abe25e95e485ba6da86bd5.patch
# for the sake of easier patch update
Source99:       series
#
Summary:        Eases web-request routing, handling, and response

%description
Eases web-request routing, handling, and response as a half-way front,
half-way page controller. Implemented with specific emphasis on
enabling easy unit/integration testing that doesn't require a browser.



Authors:
--------
    rails development team

%prep

%build

%install
%gem_install %{S:0}
pushd %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
  patch -p0 < %{S:1}
  patch -p2 < %{S:2}
popd
find %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/ -name \*\~ -print0 | xargs -r0 rm -v

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%changelog
* Tue Feb  2 2010 mrueckert@suse.de
- added bfe032858077bb2946abe25e95e485ba6da86bd5.patch:
  Cross-site scripting (XSS) vulnerability in the strip_tags
  function in Ruby on Rails (bnc#558879) CVE-2009-4214
* Fri Jun  5 2009 mrueckert@suse.de
- add rails-2.3.2_http_auth_digest_nil_check.patch:
  do not allow authentication with a missing password (bnc#509914)
* Mon Mar 16 2009 mrueckert@suse.de
- starting package for the rails 2.3 series
